gr::dab::valve_ff_impl Class Reference

lets samples pass or not depending on the state of closed More...

`#include <valve_ff_impl.h>`

Inheritance diagram for gr::dab::valve_ff_impl:
[legend]

## Public Member Functions

| valve_ff_impl (bool closed, bool feed_with_zeros)
| ~valve_ff_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
void | set_closed (bool closed)
void | set_feed_with_zeros (bool feed_with_zeros)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::dab::valve_ff
typedef std::shared_ptr< valve_ff > | sptr
Static Public Member Functions inherited from gr::dab::valve_ff
static sptr | make (bool closed, bool feed_with_zeros=false)
| Return a shared_ptr to a new instance of dab::valve_ff.

## Detailed Description

lets samples pass or not depending on the state of closed

Parameters

  feed_with_zeros | if valve is closed feed_with_zeros decides if zeros are sent or nothing
  closed | decides if valve is closed or opened

## Constructor & Destructor Documentation

## valve_ff_impl()

gr::dab::valve_ff_impl::valve_ff_impl | ( | bool | closed,
|  | bool | feed_with_zeros )

## ~valve_ff_impl()

gr::dab::valve_ff_impl::~valve_ff_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::dab::valve_ff_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## general_work()

int gr::dab::valve_ff_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## set_closed()

void gr::dab::valve_ff_impl::set_closed | ( | bool | closed | ) |

inline virtual

Implements gr::dab::valve_ff.

## set_feed_with_zeros()

void gr::dab::valve_ff_impl::set_feed_with_zeros | ( | bool | feed_with_zeros | ) |

inline virtual

Implements gr::dab::valve_ff.

The documentation for this class was generated from the following file:

- valve_ff_impl.h